;  liblink.asm -- jimm mackraz, oct 28, 1986
;  application side interface for C-routines calling example library

	include 'exec/types.i'
	include 'exec/libraries.i'

	LIBINIT
	LIBDEF	_LVOPublicScreen
	LIBDEF	_LVOPrivateScreen
	LIBDEF	_LVOPubScrLocked
	LIBDEF	_LVOLockPubScreen
	LIBDEF	_LVOUnlockPubScreen
	LIBDEF	_LVOGetPubScrList

	; --- xref from application
	public	_ScrSharBase

	; --- xdef for application
        public	_PublicScreen
	public	_PrivateScreen
	public	_PubScrLocked
	public	_LockPubScreen
	public	_UnlockPubScreen
	public	_GetPubScrList

_PublicScreen:
	movea.l	4(sp),a0		; First argument on stack
	movea.l	8(sp),a1		; Second argument on stack
	move.l	_ScrSharBase,a6
	jmp	_LVOPublicScreen(a6)

_PrivateScreen:
	movea.l	4(sp),a0		; First argument on stack
	move.l	_ScrSharBase,a6
	jmp	_LVOPrivateScreen(a6)

_PubScrLocked:
	movea.l	4(sp),a0		; First argument on stack
	move.l	_ScrSharBase,a6
	jmp	_LVOPubScrLocked(a6)

_LockPubScreen:
	movea.l	4(sp),a0		; First argument on stack
	move.l	_ScrSharBase,a6
	jmp	_LVOLockPubScreen(a6)

_UnlockPubScreen:
	movea.l	4(sp),a0		; First argument on stack
	move.l	_ScrSharBase,a6
	jmp	_LVOUnlockPubScreen(a6)

_GetPubScrList:
	move.l	_ScrSharBase,a6
	jmp	_LVOGetPubScrList(a6)

